## golang-1.26 1.26.0

=== lib/fips140/Makefile ===
# Copyright 2024 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# Rules for building and testing new FIPS snapshots.
# For example:
#
#	make v1.2.3.zip
#	make v1.2.3.test
#
# and then if changes are needed, check them into master
# and run 'make v1.2.3.rm' and repeat.
#
# Note that once published a snapshot zip file should never
# be modified. We record the sha256 hashes of the zip files
# in fips140.sum, and the cmd/go/internal/fips140 test checks
# that the zips match.
#
# When the zip file is finalized, run 'make updatesum' to update
# fips140.sum.

default:
	@echo nothing to make

# make v1.2.3.zip builds a v1.2.3.zip file
# from the current origin/master.
# copy and edit the 'go run' command by hand to use a different branch.
v%.zip:
	git fetch origin master
	go run ../../src/cmd/go/internal/fips140/mkzip.go v$*

# normally mkzip refuses to overwrite an existing zip file.
# make v1.2.3.rm removes the zip file and unpacked
# copy from the module cache.
v%.rm:
	rm -f v$*.zip
	chmod -R u+w $$(go env GOMODCACHE)/golang.org/fips140@v$* 2>/dev/null || true
	rm -rf $$(go env GOMODCACHE)/golang.org/fips140@v$*

# make v1.2.3.test runs the crypto tests using that snapshot.
v%.test:
	GOFIPS140=v$* go test -short crypto...

# make updatesum updates the fips140.sum file.
updatesum:
	go test cmd/go/internal/fips140 -update

## golang-1.26 1.26~rc2

=== debian/changelog ===
golang-1.26 (1.26~rc2-1) unstable; urgency=medium

  * Initial upload of Go 1.26 (rc2)

 -- Tianon Gravi <tianon@debian.org>  Sat, 24 Jan 2026 00:13:51 -0800

golang-1.25 (1.25.6-1) unstable; urgency=medium

  [ Anshul Singh ]
  * Update to 1.25.5 upstream release
    https://go.dev/doc/devel/release#go1.25.5
    - crypto/x509: excessive resource consumption in printing error string for host certificate validation
    - crypto/x509: excluded subdomain constraint does not restrict wildcard SANs

  [ Tianon Gravi ]
  * Update to 1.25.6 upstream release

    1.25.6: (Closes: #1125916)
    - https://groups.google.com/g/golang-announce/c/Vd2tYVM8eUc/m/pQP7Bk0aCQAJ

    - CVE-2025-61728: https://go.dev/issue/77102
      archive/zip: denial of service when parsing arbitrary ZIP archives

    - CVE-2025-61726: https://go.dev/issue/77101
      net/http: memory exhaustion in Request.ParseForm

    - CVE-2025-68121: https://go.dev/issue/77113
      crypto/tls: Config.Clone copies automatically generated session ticket
      keys, session resumption does not account for the expiration of full
      certificate chain

    - CVE-2025-61731: https://go.dev/issue/77100
      cmd/go: bypass of flag sanitization can lead to arbitrary code
      execution

    - CVE-2025-68119: https://go.dev/issue/77099
      cmd/go: unexpected code execution when invoking toolchain

    - CVE-2025-61730: https://go.dev/issue/76443
      crypto/tls: handshake messages may be processed at the incorrect
      encryption level

    - os: allow direntries to have zero inodes on Linux (Closes: #1115301)

    1.25.5: (Closes: #1121847)
    - https://groups.google.com/g/golang-announce/c/8FJoBkPddm4/m/kYpVlPw1CQAJ

    - CVE-2025-61729: https://go.dev/issue/76445
      crypto/x509: excessive resource consumption in printing error string for
      host certificate validation

    - CVE-2025-61727: https://go.dev/issue/76442
      crypto/x509: excluded subdomain constraint does not restrict wildcard
      SANs

    1.25.4:
    - https://groups.google.com/g/golang-announce/c/tVVHm9gnwl8/m/-oTvYIjCAQAJ

  * Fix build with DEB_BUILD_OPTIONS=terse (Closes: #1125464)
    (solution borrowed from xz-utils debian/rules)

 -- Tianon Gravi <tianon@debian.org>  Thu, 22 Jan 2026 23:07:54 -0800

golang-1.25 (1.25.3-1) unstable; urgency=medium

  * Update to 1.25.3 upstream release
    https://go.dev/doc/devel/release#go1.25.3
    - fixes to the crypto/x509 package (https://go.dev/issue/75828)

 -- Tianon Gravi <tianon@debian.org>  Mon, 13 Oct 2025 16:06:52 -0700

golang-1.25 (1.25.2-1) unstable; urgency=medium

  * Add Go 1.25 to acceptable bootstrap versions (Build-Depends)
  * Update upstream signing key
  * Update to 1.25.2 upstream release
    https://groups.google.com/g/golang-announce/c/4Emdl2iQ_bI/m/qZN5nc-mBgAJ
    - CVE-2025-61725: net/mail: excessive CPU consumption in ParseAddress
    - CVE-2025-58187: crypto/x509: quadratic complexity when checking name constraints
    - CVE-2025-58189: crypto/tls: ALPN negotiation errors can contain arbitrary text
    - CVE-2025-61723: encoding/pem: quadratic complexity when parsing some invalid inputs
    - CVE-2025-47912: net/url: insufficient validation of bracketed IPv6 hostnames
    - CVE-2025-58185: encoding/asn1: pre-allocating memory when parsing DER payload can cause memory exhaustion
    - CVE-2025-58186: net/http: lack of limit when parsing cookies can cause memory exhaustion
    - CVE-2025-58188: crypto/x509: panic when validating certificates with DSA public keys
    - CVE-2025-58183: archive/tar: unbounded allocation when parsing GNU sparse map
    - CVE-2025-61724: net/textproto: excessive CPU consumption in Reader.ReadResponse

 -- Tianon Gravi <tianon@debian.org>  Thu, 09 Oct 2025 20:14:29 -0700

golang-1.25 (1.25.1-1) unstable; urgency=medium

  * Update to 1.25.1 upstream release
    - net/http: CrossOriginProtection bypass patterns are over-broad
      (CVE-2025-47910; https://go.dev/issue/75054; Closes: #1116341)

 -- Tianon Gravi <tianon@debian.org>  Sat, 27 Sep 2025 21:09:25 -0700

golang-1.25 (1.25.0-2) unstable; urgency=medium

  [ Tianon Gravi ]
  * Add support for cross-building natively (Closes: #1100436)
    - https://salsa.debian.org/go-team/compiler/golang/-/merge_requests/21
  * Clean up debian/helpers/goenv.sh (notably no more go1.16 support)

  [ Bo YU ]
  * Skip failing TSAN tests on riscv64 (Closes: #1115478)

 -- Tianon Gravi <tianon@debian.org>  Fri, 19 Sep 2025 21:11:23 -0700

golang-1.25 (1.25.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.25.0.

 -- Anshul Singh <anshul.singh@canonical.com>  Fri, 08 Aug 2025 05:13:23 +0000

golang-1.24 (1.24.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.1
    + CVE-2025-4673: net/http: sensitive headers not cleared on cross-origin redirect (Closes: #1107364)
    + CVE-2025-0913: os: inconsistent handling of O_CREATE|O_EXCL on Unix and Windows
    + CVE 2025-22874: crypto/x509: usage of ExtKeyUsageAny disables policy validation (Closes: #1107364)
    + CVE-2025-22873: os: Root permits access to parent directory (Closes: #1104816)
  * d/patches: Removed patch 0003 as it's already applied upstream now

 -- Anshul Singh <anshul.singh@canonical.com>  Mon, 16 Jun 2025 17:04:18 +0530

golang-1.24 (1.24.2-2) unstable; urgency=medium

  * Team upload
  * Backport patch to fix SIGSEGV in vgetrandom on Linux 6.11+
    (Closes: #1103345)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 17 Apr 2025 22:45:41 +0800

golang-1.24 (1.24.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.2
    + CVE-2025-22871: net/http: request smuggling through invalid chunked data

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 03 Apr 2025 14:56:38 +0800

golang-1.24 (1.24.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.24.1
    + CVE-2025-22870: net/http, x/net/proxy, x/net/http/httpproxy: proxy bypass
      using IPv6 zone IDs


=== debian/control ===
#
# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
#

Source: golang-1.26
Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
Uploaders: Michael Stapelberg <stapelberg@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Tianon Gravi <tianon@debian.org>,
           Michael Hudson-Doyle <mwhudson@debian.org>,
           Anthony Fok <foka@debian.org>
Section: golang
Priority: optional
Build-Depends: debhelper-compat (= 13),
               binutils-gold [arm64],
               golang-1.25-go:native | golang-1.24-go:native,
               netbase
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.26
Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.26
Homepage: https://go.dev/
Rules-Requires-Root: no

Package: golang-1.26-go
Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
Depends: binutils-gold [arm64],
         golang-1.26-src (>= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, libc6-dev, pkgconf
Breaks: dh-golang (<< 1.43~)
Suggests: bzr | brz, ca-certificates, git, mercurial, subversion
Description: Go programming language compiler, linker, compiled stdlib
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides an assembler, compiler, linker, and compiled libraries
 for the Go programming language.
 .
 To use this version, instead of the default one provided by golang-go package,
 add /usr/lib/go-1.26/bin/ to PATH, or invoke /usr/lib/go-1.26/bin/go directly.

Package: golang-1.26-src
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Go programming language - source files
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides the Go programming language source files needed for
 compilation.

Package: golang-1.26-doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Section: doc
Description: Go programming language - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language.

Package: golang-1.26
Depends: golang-1.26-doc (>= ${source:Version}),
         golang-1.26-go (>= ${source:Version}),
         golang-1.26-src (>= ${source:Version}),
         ${misc:Depends}
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.
 .
 To use this version, instead of the default one provided by golang-go
 package, add /usr/lib/go-1.26/bin/ to PATH, or invoke /usr/lib/go-1.26/bin/go
 directly.

## golang-1.26 1.26~rc3

=== debian/changelog ===
golang-1.26 (1.26~rc3-2) unstable; urgency=medium

  * Skip TestTSAN test on s390x.
    The test consistently fails, and is probably a real bug.
    It's currently being investigated, but until that is
    resolved, we disable the test to be able to build the
    golang package, so it can migrate to testing.
    See https://github.com/golang/go/issues/77289
    and Debian BTS #1126312
  * Update d/copyright
    - Use Comment: as field name in d/copyright
    - Remove src/image/jpeg/idct.go from d/copyright, has been
      removed upstream
    - Remove MPEG license terms, no longer needed
    - Update d/copyright with correct license name.
    - Use Go license for d/rules, just like all other files
      in that directory
    - Update license name from FreeBSD to BSD-2-Clause
    - Add d/lrc.config as license hints for lrc
  * Run wrap-and-sort -astkb
  * Remove Breaks: dh-golang (<< 1.43~), o-o-stable is at 1.51
  * Remove leading '/' from .install files
  * Remove unused lintian overrides
  * Add lintian overrides for golang-X.Y-src
  * Add myself as uploader, somehow I got involved again. :-)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 10 Feb 2026 00:00:48 +0100

golang-1.26 (1.26~rc3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26~rc3
  * Remove Priority: optional from d/control
  * Remove Rules-Requires-Root from d/control
  * Update Standards-Version to 4.7.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 09 Feb 2026 10:15:40 +0100

=== debian/tests/control ===
Tests:
 hello-world
Restrictions: allow-stderr,superficial
Depends:
 build-essential,
 @,

Tests:
 regression-test
Restrictions: allow-stderr,needs-root
Depends:
 build-essential,
 @,

## golang-1.26 1.26.0

=== debian/changelog ===
golang-1.26 (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0
    - Refresh patch

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Feb 2026 16:43:25 +0100

=== debian/control ===
#
# WARNING: "debian/control" is generated via "debian/rules gencontrol" (sourced from "debian/control.in")
#

Source: golang-1.26
Maintainer: Debian Go Compiler Team <team+go-compiler@tracker.debian.org>
Uploaders:
 Michael Stapelberg <stapelberg@debian.org>,
 Paul Tagliamonte <paultag@debian.org>,
 Tianon Gravi <tianon@debian.org>,
 Michael Hudson-Doyle <mwhudson@debian.org>,
 Anthony Fok <foka@debian.org>,
 Dr. Tobias Quathamer <toddy@debian.org>,
Section: golang
Build-Depends:
 debhelper-compat (= 13),
 binutils-gold [arm64],
 golang-1.25-go:native | golang-1.24-go:native,
 netbase,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.26
Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.26
Homepage: https://go.dev/

Package: golang-1.26-go
Architecture: amd64 arm64 armel armhf i386 loong64 mips mips64el mipsel ppc64 ppc64el riscv64 s390x
Depends:
 binutils-gold [arm64],
 golang-1.26-src (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 g++,
 gcc,
 libc6-dev,
 pkgconf,
Suggests:
 bzr | brz,
 ca-certificates,
 git,
 mercurial,
 subversion,
Description: Go programming language compiler, linker, compiled stdlib
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides an assembler, compiler, linker, and compiled libraries
 for the Go programming language.
 .
 To use this version, instead of the default one provided by golang-go package,
 add /usr/lib/go-1.26/bin/ to PATH, or invoke /usr/lib/go-1.26/bin/go directly.

Package: golang-1.26
Depends:
 golang-1.26-doc (>= ${source:Version}),
 golang-1.26-go (>= ${source:Version}),
 golang-1.26-src (>= ${source:Version}),
 ${misc:Depends},
Architecture: all
Description: Go programming language compiler - metapackage
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 This package is a metapackage that, when installed, guarantees
 that (most of) a full Go development environment is installed.
 .
 To use this version, instead of the default one provided by golang-go
 package, add /usr/lib/go-1.26/bin/ to PATH, or invoke /usr/lib/go-1.26/bin/go
 directly.

Package: golang-1.26-doc
Depends:
 ${misc:Depends},
Architecture: all
Multi-Arch: foreign
Section: doc
Description: Go programming language - documentation
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient. Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection. It's a fast,
 statically typed, compiled language that feels like a dynamically
 typed, interpreted language.
 .
 This package provides the documentation for the Go programming
 language.

Package: golang-1.26-src
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Go programming language - source files
 The Go programming language is an open source project to make programmers more
 productive. Go is expressive, concise, clean, and efficient. Its concurrency
 mechanisms make it easy to write programs that get the most out of multicore
 and networked machines, while its novel type system enables flexible and
 modular program construction. Go compiles quickly to machine code yet has the
 convenience of garbage collection and the power of run-time reflection. It's a
 fast, statically typed, compiled language that feels like a dynamically typed,
 interpreted language.
 .
 This package provides the Go programming language source files needed for
 compilation.

=== debian/rules ===
#!/usr/bin/make -f

# We need DEB_HOST_ARCH, so include the needed makefile snippet
include /usr/share/dpkg/architecture.mk
# for DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

# Ubuntu mangles png files by default, which can break the testdata.
export NO_PNG_PKG_MANGLE := 1

export GOVER := $(shell echo $(DEB_VERSION_UPSTREAM) | grep -oP '^([0-9]+\.[0-9]+)')

export GOROOT := $(CURDIR)
export GOROOT_FINAL := /usr/lib/go-$(GOVER)
export GOROOT_BOOTSTRAP := $(shell ls -d -1 /usr/lib/go-1.* | sort -n | tail -n1)

export GOPATH := $(CURDIR)/gopath/
# Go 1.12 needs a build cache, otherwise the build fails.
export GOCACHE := $(GOPATH)/gocache

# source files generated during building.
# especially zbootstrap.go has different defaultGOARM values on armhf and armel,
# since the value is set from debian/helpers/goenv.sh
#
# see also: src/cmd/distpack/pack.go
GENERATED_FILES := \
	src/cmd/go/internal/cfg/zdefaultcc.go \
	src/internal/runtime/sys/zversion.go \
	src/time/tzdata/zzipdata.go \
	src/cmd/cgo/zdefaultcc.go \
	src/cmd/internal/objabi/zbootstrap.go \
	src/internal/buildcfg/zbootstrap.go

%:
	+dh $@ $(opt_no_act)

gencontrol:
	for file in control gbp.conf watch; do \
		{ \
			echo '#'; \
			echo '# WARNING: "debian/'$$file'" is generated via "debian/rules gencontrol" (sourced from "debian/'$$file'.in")'; \
			echo '#'; \
			echo; \
			sed -e 's/X.Y/$(GOVER)/g' debian/$$file.in; \
		} > debian/$$file; \
	done

# The signing key for the source tarballs is rotated yearly.
update_upstream_signing_key:
	wget -O debian/upstream/signing-key.asc https://dl.google.com/dl/linux/linux_signing_key.pub

override_dh_auto_clean:
	# remove autogenerated files
	rm -f -v $(GENERATED_FILES)
	# remove built objects
	rm -rf bin pkg
	# remove gopath
	rm -rf $(GOPATH)
	# remove generated files
	@set -e; cd debian; for x in golang-X.Y-*; do \
		rm -f -v golang-$(GOVER)-$${x##golang-X.Y-}; \
	done

execute_after_dh_prep:
	dh_prep
	@set -e; cd debian; for x in golang-X.Y-*; do \
		sed -e 's/X.Y/$(GOVER)/g' $$x > golang-$(GOVER)-$${x##golang-X.Y-}; \
	done

override_dh_compress-indep:
	dh_compress -Xusr/share/doc/golang-$(GOVER)-doc/html

execute_after_dh_install-arch:
	cp --parent -v $(GENERATED_FILES) debian/golang-$(GOVER)-go/usr/share/go-$(GOVER)/

execute_after_dh_install-indep:
	# Remove generated source files, they are installed in golang-$(GOVER)-go.
	cd debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/ && rm -v -f $(GENERATED_FILES)
	# Remove Plan9 rc(1) scripts
	find debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src -type f -name '*.rc' -delete
	# Make scripts executable which have been missed by upstream
	find debian/golang-$(GOVER)-src/usr/share/go-$(GOVER)/src/ \
		\( -name '*.sh' -o -name '*.bash' \) \( -not -executable \) -exec chmod a+x {} \;

override_dh_strip:
	dh_strip -Xtestdata

# Do not run dh_dwz, as there is no debug information currently.
override_dh_dwz:

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xtestdata

override_dh_shlibdeps:
	dh_shlibdeps -Xtestdata -Xtest

override_dh_makeshlibs:
	dh_makeshlibs -Xtestdata -Xtest

override_dh_auto_build-arch:
	[ -f VERSION ] || echo "debian snapshot $(DEB_VERSION)" > VERSION

	cd $(CURDIR)/src \
	&& $(CURDIR)/debian/helpers/goenv.sh bash ./make.bash --no-banner

	# rm bootstrap dir
	rm -rf $(CURDIR)/bootstrap

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	# cross-building!
	# move "target" (host) tools to appropriate places for install
	# and remove "native" (build) tools/packages
	set -eux; \
		eval "$$(debian/helpers/goenv.sh bin/go tool dist env)"; \
		mv bin/$${GOOS}_$${GOARCH}/go* bin; \
		rmdir bin/$${GOOS}_$${GOARCH}; \
		rm -rf pkg/$${GOHOSTOS}_$${GOHOSTARCH} pkg/tool/$${GOHOSTOS}_$${GOHOSTARCH}/
endif

override_dh_auto_test-arch:
	set -ex; \
		cd src; \
		export PATH="$(GOROOT)/bin:$$PATH"; \
		export GO_TEST_TIMEOUT_SCALE=10; \
		eval "$$(go tool dist env)"; \
		bash run.bash -k -no-rebuild;
	# -k           keep going even when error occurred
	# -no-rebuild  don't rebuild std and cmd packages

	# On linux/amd64 run.bash installs some race enabled standard library
	# packages. Delete them again to avoid accidentally including them in
	# the package.
	set -ex; \
		export PATH="$(GOROOT)/bin:$$PATH"; \
		eval "$$(go tool dist env)"; \
		rm -rf "$(GOROOT)/pkg/$${GOOS}_$${GOARCH}_race/"

opt_no_act :=
ifneq (,$(findstring n,$(firstword -$(MAKEFLAGS))))
	opt_no_act := --no-act
endif

=== debian/watch ===
#
# WARNING: "debian/watch" is generated via "debian/rules gencontrol" (sourced from "debian/watch.in")
#

version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
pgpmode=auto \
  https://go.dev/dl/ .*/go(1.26\S*)\.src\.tar\.gz
